﻿namespace DotNetUtility.IO.Test
{
    using DotNetUtility.IO;
    using NUnit.Framework;

    [TestFixture]
    public class ConfigurationReaderTest
    {
        [Test]
        public void ReadValueOfConfigKey()
        {
            string
                expectedValue = "ValueOfConfigKey",
                configKey = "AppSettingsConfigKey";
            Assert.AreEqual(expectedValue, ConfigurationReader.ReadValueOfConfigKey(configKey));
        }

        [Test]
        public void ReadConnectionStringOf()
        {
            string
                expectedValue = "ConnectionStringsValue",
                connectionStringsName = "ConnectionStringsName";
            Assert.AreEqual(expectedValue, ConfigurationReader.ReadConnectionStringOf(connectionStringsName));
        }
    }
}
